@import '../../../../styles.scss';

.group {
  margin: 10px 30px 0;
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: center;
  margin-right: 5px;
  margin-bottom: 135px;
  &__top-section{
    width: 1168px;
    margin: 9px 0 0 10px;
    // padding: 15px 0px 0px 0px;
    &__title{
      font-family: Roboto;
      font-size: 18px;
      font-weight: 500;
      color: #fff;
    }
    &__button.mat-mdc-raised-button:not(:disabled){
      width: 160px;
      height: 36px;
      // margin: 15px 30px 13px 10px;
      padding: 7px 12px 8px 11px;
      border-radius: 5px;
      background-color: #183c5b;
      font-family: Roboto;
      font-size: 18px;
      font-weight: 500;
      color: #fff;

    }


  }
  &__filter{
    width: 1168px;
    height: 97px;
    margin: 9px 0 10px 10px;
    padding: 15px 507px 19px 20px;
    border-radius: 2px;
    background-color: #fff;
    display: flex;
    gap: 40px;
    &__autoComplete{
       min-width: 510px;
    }
  }
  &__name_tag {
    width: 109px;
    height: 36px;
    margin: 10px;
    padding: 7px 28px 8px 15px;
    opacity: 0.5;
    border-radius: 3px;
    background: #427a95;

    &__name {
      font-family: Roboto;
      font-size: 18px;
      font-weight: 500;
      font-stretch: normal;
      font-style: normal;
      line-height: normal;
      letter-spacing: normal;
      color: #fff;
    }
  }

  &__buttons {
    margin: 10px 10px 0 0;
    gap: 7px;

    &__delete.mat-mdc-raised-button:not(:disabled),&__delete.mat-mdc-raised-button[disabled] {
      margin-right: 10px;
      background-color: #ff9c9c;
      img{
        margin-right: 5px;
      }
    }

    &__delete.mat-mdc-raised-button[disabled]{
      background-color: #e5afaf;

    }

    &__done.mat-mdc-raised-button:not(:disabled),&_done.mat-mdc-raised-button[disabled] {
       background-color: #86e0a4;
       img{
        margin-right: 5px;
      }
    }

    &__delete.mat-mdc-raised-button[disabled]{
      background-color: #e5afaf;

    }
    &__done.mat-mdc-raised-button[disabled]{
      background-color: #cafddb;

    }
  }
}

